import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetOriginEndpointRequest,
  GetOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetOriginEndpointCommandInput
  extends GetOriginEndpointRequest {}
export interface GetOriginEndpointCommandOutput
  extends GetOriginEndpointResponse,
    __MetadataBearer {}
export declare class GetOriginEndpointCommand extends $Command<
  GetOriginEndpointCommandInput,
  GetOriginEndpointCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: GetOriginEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetOriginEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetOriginEndpointCommandInput, GetOriginEndpointCommandOutput>;
  private serialize;
  private deserialize;
}
